Subject: Gnu-Win32 and Tcl/Tk
From: [email-masked] (jl Hamel)

13 Dec 1996 07:26:16 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Hello,

I have investigated more on this subject, since my precedent message.

I have successfully builded some test program linked against tcl76.dll
and tk42.dll (Borland made libraries). The .def files can be produced by
hand (editing the results of a strings command on the dlls) or using
the impdef utility of Borland.

These programs work fine (also with the GUI Tk interface) except two things :

- I don't know generate a "GUI only" application ; FAQ said :
	add "-ssubsystem windows" to the GCC or LD command line
  This don't work at all, this option is unreconized. I have found that
   ld (not gcc) recognize "--subsystem-windows", but without any effect...

- The programs crash at the end of execution with a page error in:
	cw3215.dll at 0137:004e3f66
  Probably there is something to do before loading the libraries (increase
  stack size ?) but I don't know what.
  Has anybody an idea about this ?

					JL Hamel
					[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".